const dbProdutos = _db.query(
    `select produto.nome, categoria.tipo as "Categoria", produto.stock, produto.preco
    from produto, categoria
    where produto.categoria_id = categoria.id
    

    `)


     const dados = _val.list()
    
     for(const dbProduto of dbProdutos){
        //  const dbCategorias = _db.query(
        //  `select categoria.tipo
        //  from categoria inner join produto
        //  on categoria.id = produto.categoria_id
        //  where produto.categoria_id = ?`
        //  , dbProduto.getInt("id"))

        //   const dbFarmacia = _db.query(`
        //   select farmacia.lab
        //   from farmacia inner join produto
        //   on farmacia.id = produto.farmacia_id
        //   where produto.farmacia_id = ?
        //   `, dbProduto.getInt("id"))


         dados.add(
             _val.map()
             .set("id", dbProduto.getInt("id"))
             .set("nome", dbProduto.getString("nome"))
             .set("categoria", dbProduto.getString("categoria"))
             .set("stock", dbProduto.getString("stock"))
             .set("preco", dbProduto.getFloat("preco").toFixed(2))
             

        )
     }

_out.json(dados)